package com.bonus.sgzb.base.service.impl;

import com.bonus.sgzb.base.domain.MaHouseSet;
import com.bonus.sgzb.base.mapper.MaHouseSetMapper;
import com.bonus.sgzb.base.service.MaHouseSetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MaHouseSetImpl implements MaHouseSetService {

    @Autowired
    private MaHouseSetMapper maHouseSetMapper;

    @Override
    public List<MaHouseSet> getHouseSetList(MaHouseSet maHouseSet) {
        return maHouseSetMapper.getHouseSetList(maHouseSet);
    }

    @Override
    public int maHouseSetAdd(MaHouseSet maHouseSet) {
        return maHouseSetMapper.maHouseSetAdd(maHouseSet);
    }

    @Override
    public int deleteHouseSetById(Long id) {
        return maHouseSetMapper.deleteHouseSetById(id);
    }

    @Override
    public int updateHouseSet(MaHouseSet maHouseSet) {
        return maHouseSetMapper.updateHouseSet(maHouseSet);
    }

    /**
     * 查询仓库货架配置ma_house_set
     *
     * @param id 仓库货架配置ma_house_set主键
     * @return 仓库货架配置ma_house_set
     */
    @Override
    public MaHouseSet selectMaHouseSetByHouseId(Long id)
    {
        return maHouseSetMapper.selectMaHouseSetByHouseId(id);
    }
}
